*{

    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

.logo-img {
    max-width: 100%;
    height: auto;
    display: block;
}

button{
    font-size: 1.25em;
    font-weight: bold;
    padding: 10px 30px;
    border-radius: 5px;
    border: 2px solid rgba(0,0,0,0.3);
    box-shadow: 2px 2px 10px rgba(0,0,0,0.5);
    color: white;
    background-color: rgb(209, 108, 20);
}

button:hover{
    background-color: #d16c14;
}

.container{
    max-width: 1400px;
    margin: auto;
}

.color-acento{color: rgb(209, 108, 20);}

header{
    background-color: rgb(245,245,245);
    
}

header .logo{
    margin: 0;
    padding: 25px 30px;
    font-weight: bold;
    color: rgb(209, 108, 20);
    font-size: 1.6em;
}

header .container{
    display: flex;
    flex-direction: column;
    align-items: center;
}

header nav{
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom: 25px;
}

header a{
    padding: 5px 12px;
    text-decoration: none;
    font-weight: bold;
    color: black;
}

header a:hover{
    color: rgb(209, 108, 20);
}


h1{
    text-align: center;
    position: relative;
    width: 80%;
    margin: 50px auto;
}
body{
    background-color: #ecf4fb;
}
h1::before{
    content: "";
    display: block;
    width: 100%;
    height: 2px;
    position: absolute;
    background-color:#d16c14;
    top: 50%;
    z-index: -1;
}
h1 span{
    background-color:#ecf4fb;
    padding: 0 15px;
}
.img-gallery{
    width: 80%;
    margin: 50px auto 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(240px,1fr));
    gap: 30px;
}
.img-gallery img{
    width: 100%;
    cursor: pointer;
    transition: 1s;
}
.img-gallery img:hover{
    transform: scale(1.2);
}
.ful-img{
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0,0, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99;
}
.ful-img span{
    position: absolute;
    top: 5%;
    right: 5%;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
}
.ful-img img{
    width: 90%;
    max-width: 600px;
}
@media screen and (max-width:400px){
    h1{
        text-decoration: underline;
    }
    h1::before{
        display: none;
    }
    h1 span{
        padding: 0;
    }
}

.home-button a {
    display: inline-block;
    padding: 10px 20px;
    background-color: #f0f2f5;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}


footer{
    background-color: rgb(230,230,230);
}

footer p{
    margin: 0;
    padding: 12px;
    color: rgb(100,100,100);
}

footer .container{
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}